--- a/Makefile.in
+++ b/Makefile.in
@@ -18,17 +18,17 @@
 LIB_PREFIX  =   @libdir@/
 MAN_PREFIX  =   @MAN_PREFIX@
 
-LIBNET      =   libnet
-LIBPWRITE   =   libpwrite
+LIBNET      =   libnet-1.0
+LIBPWRITE   =   libpwrite-1.0
 LIB         =   lib/$(LIBNET).a
 MAN         =   doc/$(LIBNET).3
 INCLUDE     =   include/$(LIBNET).h
-INCLUDE-H   =   include/$(LIBNET)/$(LIBNET)-headers.h
-INCLUDE-F   =   include/$(LIBNET)/$(LIBNET)-functions.h
-INCLUDE-S   =   include/$(LIBNET)/$(LIBNET)-structures.h
-INCLUDE-M   =   include/$(LIBNET)/$(LIBNET)-macros.h
-INCLUDE-A   =   include/$(LIBNET)/$(LIBNET)-asn1.h
-INCLUDE-O   =   include/$(LIBNET)/$(LIBNET)-ospf.h
+INCLUDE-H   =   include/libnet/$(LIBNET)-headers.h
+INCLUDE-F   =   include/libnet/$(LIBNET)-functions.h
+INCLUDE-S   =   include/libnet/$(LIBNET)-structures.h
+INCLUDE-M   =   include/libnet/$(LIBNET)-macros.h
+INCLUDE-A   =   include/libnet/$(LIBNET)-asn1.h
+INCLUDE-O   =   include/libnet/$(LIBNET)-ospf.h
 CONFIG      =   $(LIBNET)-config
 DEFINES     +=  @DEFS@
 RANLIB      =   @RANLIB@
@@ -94,7 +94,7 @@
 install: libnet
 	$(ENSUREDIR) $(DESTDIR)$(prefix) 755
 	$(ENSUREDIR) $(DESTDIR)$(LIB_PREFIX) 755
-	$(ENSUREDIR) $(DESTDIR)$(INC_PREFIX)$(LIBNET) 755
+	$(ENSUREDIR) $(DESTDIR)$(INC_PREFIX)/libnet/ 755
 	$(ENSUREDIR) $(DESTDIR)$(INC_PREFIX) 755
 	$(ENSUREDIR) $(DESTDIR)$(MAN_PREFIX) 755
 	$(ENSUREDIR) $(DESTDIR)$(BIN_PREFIX) 755
@@ -102,12 +102,12 @@
 	rm -f $(DESTDIR)$(LIB_PREFIX)$(LIBPWRITE).a
 	cd $(DESTDIR)$(LIB_PREFIX); $(LN) -f -s $(LIBNET).a $(LIBPWRITE).a
 	$(INSTALL_DATA) $(INCLUDE) $(DESTDIR)$(INC_PREFIX)
-	$(INSTALL_DATA) $(INCLUDE-H) $(DESTDIR)$(INC_PREFIX)$(LIBNET)
-	$(INSTALL_DATA) $(INCLUDE-F) $(DESTDIR)$(INC_PREFIX)$(LIBNET)
-	$(INSTALL_DATA) $(INCLUDE-S) $(DESTDIR)$(INC_PREFIX)$(LIBNET)
-	$(INSTALL_DATA) $(INCLUDE-M) $(DESTDIR)$(INC_PREFIX)$(LIBNET)
-	$(INSTALL_DATA) $(INCLUDE-A) $(DESTDIR)$(INC_PREFIX)$(LIBNET)
-	$(INSTALL_DATA) $(INCLUDE-O) $(DESTDIR)$(INC_PREFIX)$(LIBNET)
+	$(INSTALL_DATA) $(INCLUDE-H) $(DESTDIR)$(INC_PREFIX)/libnet/
+	$(INSTALL_DATA) $(INCLUDE-F) $(DESTDIR)$(INC_PREFIX)/libnet/
+	$(INSTALL_DATA) $(INCLUDE-S) $(DESTDIR)$(INC_PREFIX)/libnet/
+	$(INSTALL_DATA) $(INCLUDE-M) $(DESTDIR)$(INC_PREFIX)/libnet/
+	$(INSTALL_DATA) $(INCLUDE-A) $(DESTDIR)$(INC_PREFIX)/libnet/
+	$(INSTALL_DATA) $(INCLUDE-O) $(DESTDIR)$(INC_PREFIX)/libnet/
 	$(INSTALL_DATA) $(MAN) $(DESTDIR)$(MAN_PREFIX)
 	$(INSTALL_DATA) $(CONFIG) $(DESTDIR)$(BIN_PREFIX)
 
@@ -142,6 +142,6 @@
 	    cd support/bpf-lkm/etherspoof && rm -rf Makefile; \
 	fi
 	rm -f config.log config.cache config.status Makefile include/config.h \
-	version.h support/bpf-lkm/etherspoof conftest* libnet-config
+	version.h support/bpf-lkm/etherspoof conftest* libnet-1.0-config
 
 # EOF
--- a/configure.in
+++ b/configure.in
@@ -261,6 +261,6 @@
 AC_OUTPUT(Makefile test/Makefile test/TCP/Makefile test/Ethernet/Makefile \
     test/UDP/Makefile test/ICMP/Makefile test/Random/Makefile \
     test/OSPF/Makefile util/Makefile util/Get-mac/Makefile example/Makefile \
-    libnet-config, chmod +x libnet-config)
+    libnet-1.0-config, chmod +x libnet-1.0-config)
 
 dnl EOF
--- a/include/libnet.h
+++ b/include/libnet.h
@@ -74,12 +74,12 @@
 #include <errno.h>
 #include <assert.h>
 
-#include "./libnet/libnet-headers.h"
-#include "./libnet/libnet-structures.h"
-#include "./libnet/libnet-macros.h"
-#include "./libnet/libnet-asn1.h"
-#include "./libnet/libnet-functions.h"
-#include "./libnet/libnet-ospf.h"
+#include "./libnet/libnet-1.0-headers.h"
+#include "./libnet/libnet-1.0-structures.h"
+#include "./libnet/libnet-1.0-macros.h"
+#include "./libnet/libnet-1.0-asn1.h"
+#include "./libnet/libnet-1.0-functions.h"
+#include "./libnet/libnet-1.0-ospf.h"
 
 #define LIBNET_VERSION  "1.0.2a"
 
--- a/libnet-config.in
+++ b/libnet-config.in
@@ -9,12 +9,12 @@
 
 libnet_defines="@LIBNET_CONFIG_DEFINES@"
 libnet_cflags="@LIBNET_CONFIG_CFLAGS@"
-libnet_libs="@LIBNET_CONFIG_LIBS@ -lnet"
+libnet_libs="@LIBNET_CONFIG_LIBS@ -lnet-1.0"
 
 usage()
 {
         cat <<EOF
-Usage: libnet-config [OPTIONS]
+Usage: libnet-1.0-config [OPTIONS]
 Options:
         [--libs]
         [--cflags]
--- a/test/Ethernet/Makefile.in
+++ b/test/Ethernet/Makefile.in
@@ -10,7 +10,7 @@
 CFLAGS      =   @CFLAGS@
 OBJECTS     =   arp.o tcp.o icmp_mask.o get_address.o poink.o
 DEFINES     +=  @DEFS@
-LIBS        =   -L../../lib/ -lnet @ADDITIONAL_LIBS@
+LIBS        =   -L../../lib/ -lnet-1.0 @ADDITIONAL_LIBS@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@
--- a/test/ICMP/Makefile.in
+++ b/test/ICMP/Makefile.in
@@ -15,7 +15,7 @@
 		ping_of_death.o
 
 DEFINES     +=  @DEFS@
-LIBS        =   -L../../lib/ -lnet @ADDITIONAL_LIBS@
+LIBS        =   -L../../lib/ -lnet-1.0 @ADDITIONAL_LIBS@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@
--- a/test/IP/Makefile.in
+++ b/test/IP/Makefile.in
@@ -10,7 +10,7 @@
 OBJECTS     =   
 
 DEFINES     +=  @DEFS@
-LIBS        =   -L../../lib/ -lnet @ADDITIONAL_LIBS@
+LIBS        =   -L../../lib/ -lnet-1.0 @ADDITIONAL_LIBS@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@
--- a/test/OSPF/Makefile.in
+++ b/test/OSPF/Makefile.in
@@ -12,7 +12,7 @@
 		ospf_request.o   \
 
 DEFINES     +=  @DEFS@
-LIBS        =   -L../../lib/ -lnet @ADDITIONAL_LIBS@
+LIBS        =   -L../../lib/ -lnet-1.0 @ADDITIONAL_LIBS@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@
--- a/test/Random/Makefile.in
+++ b/test/Random/Makefile.in
@@ -9,7 +9,7 @@
 CFLAGS      =   @CFLAGS@
 OBJECTS     =   prand_trials.o
 DEFINES     +=  @DEFS@
-LIBS        =   -L../../lib/ -lnet @ADDITIONAL_LIBS@
+LIBS        =   -L../../lib/ -lnet-1.0 @ADDITIONAL_LIBS@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@
--- a/test/TCP/Makefile.in
+++ b/test/TCP/Makefile.in
@@ -13,7 +13,7 @@
                 tcp+data+ipopt.o
 
 DEFINES     +=  @DEFS@
-LIBS        =   -L../../lib/ -lnet @ADDITIONAL_LIBS@
+LIBS        =   -L../../lib/ -lnet-1.0 @ADDITIONAL_LIBS@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@
--- a/test/UDP/Makefile.in
+++ b/test/UDP/Makefile.in
@@ -11,7 +11,7 @@
                 udp+data.o
 
 DEFINES     +=  @DEFS@
-LIBS        =   -L../../lib/ -lnet @ADDITIONAL_LIBS@
+LIBS        =   -L../../lib/ -lnet-1.0 @ADDITIONAL_LIBS@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@
